## libgnatcoll-bindings 21.0.0

=== iconv/docs/Makefile ===
include ../../docs-common/Makefile

## libgnatcoll-bindings 18

=== debian/changelog ===
libgnatcoll-bindings (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:58 +0200

libgnatcoll-bindings (18-1) experimental; urgency=medium

  * New upstream version, splitting the libgnatcoll source package.
    This component needs no repackaging.
  * No ALI/SO package renaming in experimental, but two new binary packages:
    libgnatcoll-syslogSO and libgnatcoll-syslogALI-dev.
  * Let example project build out of the source tree.
  * Trick separate library versions without patch.
  * Force .so extension so that projects build with packaged gnatcoll.gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 15:33:44 +0200

libgnatcoll (17.0.2017-5) experimental; urgency=medium

  * Rebuild with gnat-8, libgpr1-dev, libgtkada18-dev..
    Rename shared libraries and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Install documentation to libgnatcoll-doc.
    Doc is shared for all -dev packages, so the effort is wasted.
  * Remove override for lintian pedantic messages.
  * Update upstream home page.
  * Use forgotten sphinxdoc:Built-Using substitution variable.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 08:13:15 +0200

libgnatcoll (17.0.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Break+Replace: previous gtkada-dev package per Ada policy. Closes: #896570.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 17:17:56 +0200

libgnatcoll (17.0.2017-4~pre1) experimental; urgency=medium

  * Rebuild with libgtkada-dev updating gtk-gir, fixing gnat-gps.
    Ada policy requires a renaming of the libgnatcoll-gtk-dev package,
    but the fix does not affect the gnatcoll ABI and SO version.
  * Debhelper 11 and Standards-Version: 4.1.3.
    Move docs from /u/s/doc/*-doc to /u/s/doc/*-dev.
  * Build-Depends: drop obsolete version restriction on dpkg-dev.
  * python_single_statement_set_default_console.diff: fix serious typo.
  * Build-Depend: drop dpkg-dev obsolete version restriction.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 03 Mar 2018 14:28:59 +0100

libgnatcoll (17.0.2017-3) unstable; urgency=medium

  * Make testsuite more verbose. Closes: #872081.
  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872204.
  * Build-Depend: python3 version of sphinx-doc. Patch conf.py.
  * Standards-Version: 4.1.0.
  * Rebuild with libgpr 2017-5 (because of libxmlada-unicode).
    -dev version is already new in testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 16:54:43 +0200

libgnatcoll (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * The switch to gcc-7 requires a SO version bump for each library,
    except gnatcoll, g-python, g-xref, already new in unstable.
    The Break/Replace with previous -dev becomes implicit in unstable.
  * Disable parallel doc generation to prevent #869098.
  * Standards-Version: 4.0.1. Priority: optional.
  * Vcs-Mtn: new URI format.
  * clean objects forgotten by aclocal.m4.
  * Build-Depends: renamed texlive-plain-generic.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 12:42:17 +0200

libgnatcoll (17.0.2017-1) experimental; urgency=medium

  * New upstream release, two new packages for the gnatcoll-xref library.
    No ALI/SO bump in experimental.
  * Build with gnat-7, which deals with SOURCE_DATE_EPOCH directly.
  * Debhelper 10, which deals with autoconf generated stuff.
  * Standards-Version: 4.0.0. Downgrade -doc to Suggests.
    HTTPS URL for copyright format. Handle DEB_BUILD_OPTIONS=nodoc.
  * Allow -doc package to satisfy multi-arch foreign dependencies.
  * PDFLatex now handles SOURCE_DATE_EPOCH without faketime.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jul 2017 01:44:33 +0200

libgnatcoll (16.1.0-1) experimental; urgency=medium

  * New upstream release. Update to ligtkada16.1.0-dev.
    Replace libgnatprj/vsn, dropped by GCC with libgpr from gprbuild.
    Bump ALI versions and conflict/break previous -dev per Ada policy.
    Bump SO versions for gnatcoll and gnatcoll-python.
  * Remove many patches to upstream Makefile and invoke gprbuild directly.
    Upstream prefers a reduced set of well tested configurations.
  * remove generate-sources-timestamp.diff, but regenerate the sources after
    the build and fail if they differ with the ones from the tarball.
  * python_single_statement_set_default_console.diff was waiting an ALI bump.
  * Select all hardening flags, gprbuild will override pie when needed.
  * C sources, ignored in ALI files, do not require predictible timestamps.
  * Simplify watch file thanks to version 4 format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Aug 2016 17:48:30 +0200

libgnatcoll (1.7gpl2015-2) unstable; urgency=medium

  * Revert to python2 as long as most startup scripts in the gnat-gps
    reverse dependency are incompatible with python3. Reopens: #760004.
  * Build-Depend: texlive-generic-extra for iftex.sty. Closes: #830334.
  * Ensure that ./configure and gprbuild use gnatgcc instead of gcc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jul 2016 08:05:19 +0200

libgnatcoll (1.7gpl2015-1) unstable; urgency=medium

  * Build with gnat-6 and gprbuild >= 2015-2. Upload to unstable.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Enable all hardening options, but PIE because we build a shared library.
  * Move sphinx-common to Build-Depends-Indep.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 10:06:03 +0200

libgnatcoll (1.7gpl2015-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Build-Depend gnat-5, rename library and -dev packages per Ada policy.
  * watch: use Adacore uscan redirector.
  * copyright: since Files-Excluded is mandatory for minified javascript,


=== debian/control ===
Source: libgnatcoll-bindings
Priority: optional
Section: misc
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 11),
 gnat, gnat-8,
# This line is parsed to set gnat version.
# dh-ada-library allowing .ada extension.
 dh-ada-library (>= 6.10),
# gprbuild cleaning auto.cgpr.
 gprbuild (>= 2017),
# Implicit libc6-dev provides: iconv, syslog.
 libgmp-dev,
 pkg-config,
 python-dev, libpython-dev,
 libreadline-dev,
 libgnatcoll17-dev,
Homepage: https://www.adacore.com/community
Standards-Version: 4.1.4

######################################################################

Package: libgnatcoll-python17-dev
Section: libdevel
Architecture: any
Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (Python)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 adding Python as scripting language.

Package: libgnatcoll-python17
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (Python runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for Python
 scripting.

######################################################################

Package: libgnatcoll-iconv17-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (iconv)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the Iconv C library.

Package: libgnatcoll-iconv18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (iconv runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the iconv
 binding.

######################################################################

Package: libgnatcoll-readline17-dev
Section: libdevel
Architecture: any
Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (readline)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with GNU readline and history libraries.

Package: libgnatcoll-readline18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (readline runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the readline
 binding.

######################################################################

Package: libgnatcoll-gmp17-dev
Section: libdevel
Architecture: any
Depends: libgmp-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (GMP)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the GNU Multiprecision arithmetic C library.

Package: libgnatcoll-gmp18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (GMP runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the GMP binding.

######################################################################

Package: libgnatcoll-syslog1-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (syslog)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the syslog C library.

Package: libgnatcoll-syslog1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (syslog runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the syslog binding.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl in Debian.
# Copyright (c) 2014-2018 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

libraries :=
$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/GNAT_VERSION:=\1/p; \
  s/^Package: \(libgnatcoll-gmp[0-9.]\+-dev\)$$/gmp_dev:=\1/p; \
  /^Package: libgnatcoll-\([a-z]\+\)\([0-9.]\+\)$$/ { \
    s~~libraries+=\1 \1_version:=\2~; \
    y/-/_/; \
    p; \
  }; \
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
vars := ADAFLAGS CFLAGS CPPFLAGS LDFLAGS

BUILD := PROD
vars += BUILD

GNATCOLL_PYTHON_CFLAGS := `pkg-config --cflags python`
GNATCOLL_PYTHON_LIBS   := `pkg-config --libs python`
vars += GNATCOLL_PYTHON_CFLAGS GNATCOLL_PYTHON_LIBS

GNATCOLL_ICONV_OPT :=
vars += GNATCOLL_ICONV_OPT

%:
	dh $@ --with ada-library

.PHONY: override_dh_auto_build
override_dh_auto_build: $(libraries)

.PHONY: $(libraries)
$(libraries):
	gprbuild $@/gnatcoll_$@.gpr \
	  -XLIBRARY_TYPE=static \
	  -p $(BUILDER_OPTIONS) $(foreach v,$(vars),-X$(v)="$($(v))")
	gprbuild $@/gnatcoll_$@.gpr \
	  -XLIBRARY_TYPE=relocatable \
	  -XGNATCOLL_VERSION=$($@_version) \
	  -p $(BUILDER_OPTIONS) $(foreach v,$(vars),-X$(v)="$($(v))")

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(RM) -r $(foreach l,$(libraries),$(l)/lib $(l)/obj)

# An override avoids hardcoding the ALI version of libgnatcoll-gmp-dev.
.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples -p$(gmp_dev) gmp/examples/*
	dh_installexamples --remaining-packages

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library $(foreach l,$(libraries), \
	  LIBRARY_TYPE=relocatable \
	  GNATCOLL_VERSION=$($(l)_version) \
	  $(foreach v,$(vars),$(v)="$($(v))") \
	  $(l)/gnatcoll_$(l).gpr)

=== debian/tests/control ===
Tests: examples
Depends: @, gprbuild

## libgnatcoll-bindings 19

=== debian/changelog ===
libgnatcoll-bindings (19-3) unstable; urgency=medium

  * Move python library to its own Debian source package so that #936869
    does not prevent unrelated components to migrate to testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Mar 2020 21:05:50 +0200

libgnatcoll-bindings (19-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0
  * Use debhelper 12 dh-sequence syntax.
  * Drop redundant branch from Vcs-Git.
  * Give each library a separate test.
  * Drop python3 patch (applied upstream, not in Debian).

  [Matthias Klose <doko@debian.org>]
  * Depend on versioned python2. Closes: #952549.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 16:48:57 +0100

libgnatcoll-bindings (19-1) experimental; urgency=medium

  * New upstream release, built with gnat-9.
    Rename library and -dev package accordingly.
    New bindings for lzma and zlib C libraries.
  * Forward all possible patches, but remove style changes from Debian.
  * Move VCS to git and salsa.debian.org.
  * Debhelper 12. Standards-Version: 4.4.0. Rules-Requires-Root: no.
  * Ask for more linker warnings.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Sep 2019 13:41:04 +0200

libgnatcoll-bindings (18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload to fix stderr output in autopkg tests.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2019 09:08:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,58 +2,28 @@
 Priority: optional
 Section: misc
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ gnat, gnat-9,
 # This line is parsed to set gnat version.
-# dh-ada-library allowing .ada extension.
- dh-ada-library (>= 6.10),
+ dh-sequence-ada-library,
 # gprbuild cleaning auto.cgpr.
  gprbuild (>= 2017),
 # Implicit libc6-dev provides: iconv, syslog.
  libgmp-dev,
- pkg-config,
- python-dev, libpython-dev,
  libreadline-dev,
- libgnatcoll17-dev,
+ libgnatcoll18-dev,
+ liblzma-dev,
+ zlib1g-dev,
 Homepage: https://www.adacore.com/community
-Standards-Version: 4.1.4
-
-######################################################################
-
-Package: libgnatcoll-python17-dev
-Section: libdevel
-Architecture: any
-Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
-Suggests: libgnatcoll-doc
-Description: GNATColl, general purpose Ada library (Python)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the static library and Ada specifications
- adding Python as scripting language.
-
-Package: libgnatcoll-python17
-Section: libs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Description: GNATColl, general purpose Ada library (Python runtime)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the runtime shared library for Python
- scripting.
-
-######################################################################
-
-Package: libgnatcoll-iconv17-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
+Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git
+
+######################################################################
+
+Package: libgnatcoll-iconv18-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -68,7 +38,7 @@
  This package contains the static library and Ada specifications
  for the binding with the Iconv C library.
 
-Package: libgnatcoll-iconv18
+Package: libgnatcoll-iconv19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -86,7 +56,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline17-dev
+Package: libgnatcoll-readline18-dev
 Section: libdevel
 Architecture: any
 Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
@@ -101,7 +71,7 @@
  This package contains the static library and Ada specifications
  for the binding with GNU readline and history libraries.
 
-Package: libgnatcoll-readline18
+Package: libgnatcoll-readline19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -119,7 +89,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-gmp17-dev
+Package: libgnatcoll-gmp18-dev
 Section: libdevel
 Architecture: any
 Depends: libgmp-dev, ${misc:Depends}, ${ada:Depends}
@@ -134,7 +104,7 @@
  This package contains the static library and Ada specifications
  for the binding with the GNU Multiprecision arithmetic C library.
 
-Package: libgnatcoll-gmp18
+Package: libgnatcoll-gmp19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -151,7 +121,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-syslog1-dev
+Package: libgnatcoll-syslog2-dev
 Section: libdevel
 Architecture: any
 Depends: libc6-dev, ${misc:Depends}, ${ada:Depends}
@@ -166,7 +136,7 @@
  This package contains the static library and Ada specifications
  for the binding with the syslog C library.
 
-Package: libgnatcoll-syslog1
+Package: libgnatcoll-syslog2
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -180,3 +150,67 @@
  distributed in separate packages.
  .
  This package contains the runtime shared library for the syslog binding.
+
+######################################################################
+
+Package: libgnatcoll-lzma1-dev
+Section: libdevel
+Architecture: any
+Depends: liblzma-dev, ${misc:Depends}, ${ada:Depends}
+Suggests: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (lzma)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the binding with the lzma C library.
+
+Package: libgnatcoll-lzma1
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (lzma runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the lzma binding.
+
+######################################################################
+
+Package: libgnatcoll-zlib1-dev
+Section: libdevel
+Architecture: any
+Depends: zlib1g-dev, ${misc:Depends}, ${ada:Depends}
+Suggests: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (zlib)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the binding with the zlib C library.
+
+Package: libgnatcoll-zlib1
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (zlib runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the zlib binding.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Build script for GNATColl in Debian.
-# Copyright (c) 2014-2018 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2020 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -27,22 +27,20 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 vars := ADAFLAGS CFLAGS CPPFLAGS LDFLAGS
 
 BUILD := PROD
 vars += BUILD
 
-GNATCOLL_PYTHON_CFLAGS := `pkg-config --cflags python`
-GNATCOLL_PYTHON_LIBS   := `pkg-config --libs python`
-vars += GNATCOLL_PYTHON_CFLAGS GNATCOLL_PYTHON_LIBS
-
 GNATCOLL_ICONV_OPT :=
 vars += GNATCOLL_ICONV_OPT
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build: $(libraries)

## libgnatcoll-bindings 21.0.0

=== debian/changelog ===
libgnatcoll-bindings (21.0.0-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:07:35 +0100

libgnatcoll-bindings (21.0.0-3) experimental; urgency=medium

  * Restrict versions of build dependencies, fixing the build of indirect
    reverse dependencies in experimental where ALI versions do not change.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 20:07:01 +0000

libgnatcoll-bindings (21.0.0-2) experimental; urgency=medium

  * Rebuild with dh-ada-library >= 7.1 (depending on the same libgnatpr).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Oct 2020 09:50:02 +0000

libgnatcoll-bindings (21.0.0-1) experimental; urgency=medium

  * New upstream release.  No renaming in experimental,
    but new -dev and lib packages for the OpenMP binding.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging, merge paragraphs with the same license.
  * Upstream recommends to watch github instead of the community website.
  * Set Section to libdevel instead of misc.
  * Embed new short specific docs instead of referencing libgnatcoll-doc.
  * Make package descriptions more informative.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2020 22:48:56 +0000

libgnatcoll-bindings (20.0-1) experimental; urgency=medium

  * New upstream version built with gnat-10.
  * Reduce the divergence between branches
  * Pass build flags via the environment
  * Debhelper 13
  * Remove obsolete Pre-Depends

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 May 2020 15:29:21 +0000

=== debian/control ===
Source: libgnatcoll-bindings
Priority: optional
Section: libdevel
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library (>= 7.2),
 dh-sequence-ada-library,
 gnat,
# debian/rules extracts the gnat version from this line:
 gnat-10,
 gprbuild (>= 2021.0.0.0778b109-2),
# Implicit libc6-dev provides: iconv, omp, syslog.
 libgmp-dev,
 libgnatcoll19-dev (>= 21.0.0-2),
 libreadline-dev,
 liblzma-dev,
 zlib1g-dev,
Homepage: https://github.com/AdaCore/gnatcoll-bindings
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings/-/tree/debian/nopython
Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git -b debian/nopython

######################################################################

Package: libgnatcoll-iconv19-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for Iconv character encoding conversions (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications for
 the binding with the Iconv character encoding conversion library.

Package: libgnatcoll-iconv20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for Iconv character encoding conversions (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the iconv
 binding.

######################################################################

Package: libgnatcoll-readline19-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for ReadLine input history (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with GNU readline and history libraries.

Package: libgnatcoll-readline20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for ReadLine input history (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the readline
 binding.

######################################################################

Package: libgnatcoll-gmp19-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for GMP big numbers (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the GNU Multiprecision arithmetic C library.

Package: libgnatcoll-gmp20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for GMP big numbers (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the GMP binding.

######################################################################

Package: libgnatcoll-syslog3-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for syslog journals (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the syslog journal library.

Package: libgnatcoll-syslog3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for syslog journals (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the syslog binding.

######################################################################

Package: libgnatcoll-lzma2-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for LZMA compression (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the lzma compression library.

Package: libgnatcoll-lzma2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for LZMA compression (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the lzma binding.

######################################################################

Package: libgnatcoll-zlib2-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for Zlib compression (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the zlib compression library.

Package: libgnatcoll-zlib2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for Zlib compression (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the zlib binding.

######################################################################

Package: libgnatcoll-omp1-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada binding for OpenMP parallelism (development)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the OpenMP parallelism library.

Package: libgnatcoll-omp1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada binding for OpenMP parallelism (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the OpenMP binding.

=== debian/tests/control ===
Tests: gmp iconv readline syslog
Depends: @, gprbuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gnatcoll-bindings-$1.tar.gz%" \
https://github.com/AdaCore/gnatcoll-bindings/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libgnatcoll-bindings 22.0.0

=== debian/changelog ===
libgnatcoll-bindings (22.0.0-4) unstable; urgency=medium

  * Require a GCC major version instead of a full match. Closes: #1016337.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Aug 2022 20:51:40 +0000

libgnatcoll-bindings (22.0.0-3) unstable; urgency=medium

  * Closes: #1013474. Explicitly select the same compiler for Ada and C
  * Update Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Jun 2022 10:02:31 +0000

libgnatcoll-bindings (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:41:48 +0200

libgnatcoll-bindings (22.0.0-1) experimental; urgency=medium

  * Build new upstream version with gnat-11 in experimental.
    Rename -dev packages according to Debian Policy for Ada.
    Except python below, no need to rename shared library packages.
  * Build the python3 binding from this source package. Closes: #760004.
    Rename the libgnatcoll-python library to -python3.
  * Move clean target from debian/rules to debian/clean.
  * Standard-Versions: 4.6.0.
  * Improve some long descriptions.
  * Use the unversioned debian_packaging.mk from the gnat package.
  * Stop installing README.md documentation, mostly intended for build.
  * Add upstream/metadata.
  * uscan: remove unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 16:57:45 +0000

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,59 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library (>= 7.2),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
  gnat,
-# debian/rules extracts the gnat version from this line:
- gnat-10,
+ gnat-11,
  gprbuild (>= 2021.0.0.0778b109-2),
 # Implicit libc6-dev provides: iconv, omp, syslog.
  libgmp-dev,
- libgnatcoll19-dev (>= 21.0.0-2),
+ libgnatcoll20-dev,
+ pkg-config,
+ python3-dev,
+ libpython3-dev,
  libreadline-dev,
  liblzma-dev,
  zlib1g-dev,
 Homepage: https://github.com/AdaCore/gnatcoll-bindings
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings/-/tree/debian/nopython
-Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git -b debian/nopython
-
-######################################################################
-
-Package: libgnatcoll-iconv19-dev
+Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-bindings
+Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-bindings.git
+
+######################################################################
+
+Package: libgnatcoll-python3-1-dev
+Architecture: any
+Depends: ${misc:Depends}, ${ada:Depends}
+Description: Ada binding to the Python3 language (development)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ adding Python as scripting language.
+
+Package: libgnatcoll-python3-1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: Ada binding to the Python3 language (runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for Python
+ scripting.
+
+######################################################################
+
+Package: libgnatcoll-iconv20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for Iconv character encoding conversions (development)
@@ -54,7 +86,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline19-dev
+Package: libgnatcoll-readline20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for ReadLine input history (development)
@@ -84,7 +116,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-gmp19-dev
+Package: libgnatcoll-gmp20-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for GMP big numbers (development)
@@ -95,7 +127,7 @@
  distributed in separate packages.
  .
  This package contains the static library and Ada specifications
- for the binding with the GNU Multiprecision arithmetic C library.
+ for a binding with the GNU Multiple Precision arithmetic C library.
 
 Package: libgnatcoll-gmp20
 Section: libs
@@ -113,7 +145,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-syslog3-dev
+Package: libgnatcoll-syslog4-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for syslog journals (development)
@@ -124,7 +156,7 @@
  distributed in separate packages.
  .
  This package contains the static library and Ada specifications
- for the binding with the syslog journal library.
+ for an interface to the syslog journal manager daemon.
 
 Package: libgnatcoll-syslog3
 Section: libs
@@ -142,7 +174,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-lzma2-dev
+Package: libgnatcoll-lzma3-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for LZMA compression (development)
@@ -171,7 +203,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-zlib2-dev
+Package: libgnatcoll-zlib3-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for Zlib compression (development)
@@ -200,7 +232,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-omp1-dev
+Package: libgnatcoll-omp2-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: Ada binding for OpenMP parallelism (development)

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl in Debian.
# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

libraries := python3
$(foreach line,$(shell sed -En '\
  s/^Package: (libgnatcoll-([a-z]+)[0-9.]+-dev)$$/libraries+=\2 \2_dev:=\1/p;\
  s/^Package: (libgnatcoll-python3-[0-9.]+-dev)$$/python3_dev:=\1         /p;\
  s/^Package: libgnatcoll-([a-z]+)([0-9.]+)$$/    \1_version:=\2          /p;\
  s/^Package: libgnatcoll-python3-([0-9.]+)$$/    python3_version:=\1     /p;\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/debian_packaging.mk

BUILD := PROD
vars += BUILD

GNATCOLL_PYTHON_CFLAGS := `pkg-config --cflags python3-embed`
GNATCOLL_PYTHON_LIBS   := `pkg-config --libs   python3-embed`
vars += GNATCOLL_PYTHON_CFLAGS GNATCOLL_PYTHON_LIBS

GNATCOLL_ICONV_OPT :=
vars += GNATCOLL_ICONV_OPT

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build: $(libraries)

.PHONY: $(libraries)
$(libraries):
	gprbuild $@/gnatcoll_$(@:3=).gpr \
	  -XLIBRARY_TYPE=static \
	  -p $(GPRBUILDFLAGS) $(foreach v,$(vars),-X$(v)="$($(v))")
	gprbuild $@/gnatcoll_$(@:3=).gpr \
	  -XLIBRARY_TYPE=relocatable \
	  -XGNATCOLL_VERSION=$($@_version) \
	  -p $(GPRBUILDFLAGS) $(foreach v,$(vars),-X$(v)="$($(v))")

$(libraries): default.cgpr
gnat_major != gnatmake --version | sed 's/.* \([0-9]\+\).*/\1/;q'
default.cgpr:
	gprconfig --batch --config=Ada --config=C,,,,gcc-$(gnat_major)

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs -p$(iconv_dev)       iconv/docs/index.rst
	dh_installdocs -p$(readline_dev) readline/docs/index.rst
	dh_installdocs -p$(syslog_dev)     syslog/docs/index.rst
	dh_installdocs -p$(python3_dev)    python/docs/index.rst
	dh_installdocs --remaining-packages

.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples -p$(gmp_dev) gmp/examples/*
	dh_installexamples --remaining-packages

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library $(foreach l,$(libraries), \
	  LIBRARY_TYPE=relocatable \
	  GNATCOLL_VERSION=$($(l)_version) \
	  $(foreach v,$(vars),$(v)="$($(v))") \
	  $(l)/gnatcoll_$(l:3=).gpr)
